summaryrefslogtreecommitdiff
path: root/sys-fs
diff options
context:
space:
mode:
authorBen Kohler <bkohler@gentoo.org>2018-11-27 12:10:04 -0600
committerBen Kohler <bkohler@gentoo.org>2018-11-27 12:10:36 -0600
commiteb231dad9911993929704f4463cf96c3126fbe75 (patch)
treecfd0b674498f5aaf8ca781dd319f6d28478d0034 /sys-fs
parentapp-crypt/johntheripper: fix for bug #664050 (diff)
downloadgentoo-eb231dad9911993929704f4463cf96c3126fbe75.tar.gz
gentoo-eb231dad9911993929704f4463cf96c3126fbe75.tar.bz2
gentoo-eb231dad9911993929704f4463cf96c3126fbe75.zip
sys-fs/udiskie: take package, bump to 1.7.5
Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Ben Kohler <bkohler@gentoo.org>
Diffstat (limited to 'sys-fs')
-rw-r--r--sys-fs/udiskie/Manifest1
-rw-r--r--sys-fs/udiskie/metadata.xml12
-rw-r--r--sys-fs/udiskie/udiskie-1.7.5.ebuild52
3 files changed, 61 insertions, 4 deletions
diff --git a/sys-fs/udiskie/Manifest b/sys-fs/udiskie/Manifest
index af7b90bc8fa..b32abfbe937 100644
--- a/sys-fs/udiskie/Manifest
+++ b/sys-fs/udiskie/Manifest
@@ -1 +1,2 @@
DIST udiskie-1.1.1.tar.gz 62207 BLAKE2B 47dea106580fbd037970b274205b896fa95e1f41cd8593bc9a14c8d19f40c3c44281e7334d4b0aaab0aa5e37146b8fa702afc4b82a2ed0e00549d2f9eb475533 SHA512 0524aeafb4777039a35be8854a0cf3bdbefd43eccb758da9aa2fa71fc4041816ff009dbbff20b4906c9bac281995c9923fcf542107a83c76ecb8c45d6b20b1ba
+DIST udiskie-1.7.5.tar.gz 92103 BLAKE2B 9996ea150c0052809825479f500c6bc44fa514a1b9433521b2a5d1d1de62546e16cd77fd94c61e73164af2bad34a8e9b0d5a681db99a66011950b435423456b3 SHA512 d6178b582bfe855cbf7710bc9699d10f1e06fbc303b9c5a352a7261734be18178b3fd7f44fece7d2a05e7fe85d1337c93fa11c3e6011abee44b62aafd1c7c656
diff --git a/sys-fs/udiskie/metadata.xml b/sys-fs/udiskie/metadata.xml
index 52197ea1750..4edf040a09c 100644
--- a/sys-fs/udiskie/metadata.xml
+++ b/sys-fs/udiskie/metadata.xml
@@ -1,8 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <upstream>
- <remote-id type="pypi">udiskie</remote-id>
- <remote-id type="github">coldfix/udiskie</remote-id>
- </upstream>
+ <maintainer type="person">
+ <email>bkohler@gentoo.org</email>
+ <name>Ben Kohler</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">udiskie</remote-id>
+ <remote-id type="github">coldfix/udiskie</remote-id>
+ </upstream>
</pkgmetadata>
diff --git a/sys-fs/udiskie/udiskie-1.7.5.ebuild b/sys-fs/udiskie/udiskie-1.7.5.ebuild
new file mode 100644
index 00000000000..533408a10e9
--- /dev/null
+++ b/sys-fs/udiskie/udiskie-1.7.5.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_{5,6} )
+inherit distutils-r1 gnome2-utils
+
+DESCRIPTION="An automatic disk mounting service using udisks"
+HOMEPAGE="https://pypi.org/project/udiskie/ https://github.com/coldfix/udiskie"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+RDEPEND="dev-python/docopt[${PYTHON_USEDEP}]
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ dev-python/pyxdg[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ sys-fs/udisks:2"
+DEPEND="app-text/asciidoc
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+src_prepare() {
+ sed -i -e 's:gtk-update-icon-cache:true:' setup.py || die
+ default
+
+ distutils-r1_src_prepare
+}
+
+src_compile() {
+ distutils-r1_src_compile
+ emake -C doc
+}
+
+src_install() {
+ distutils-r1_src_install
+ doman doc/${PN}.8
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}